summaryrefslogtreecommitdiff
path: root/repo/netcf/netcf.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/netcf/netcf.xibuild')
-rw-r--r--repo/netcf/netcf.xibuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/repo/netcf/netcf.xibuild b/repo/netcf/netcf.xibuild
new file mode 100644
index 0000000..bdf89f5
--- /dev/null
+++ b/repo/netcf/netcf.xibuild
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+NAME="netcf"
+DESC="Cross-platform network configuration library"
+
+MAKEDEPS="augeas libgcrypt libnl libxml2 libxslt linux-headers pkg-config readline"
+
+PKG_VER=0.2.8
+SOURCE="https://releases.pagure.org/netcf/netcf-$PKG_VER.tar.gz"
+
+build() {
+ cd "$BUILD_ROOT"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-driver=debian \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$BUILD_ROOT"
+ make DESTDIR="$PKG_DEST" install || return 1
+}